var proizvodi;

function init(){
	//localStorage.setItem('ulogovan', 'no');
	if(localStorage.getItem('proizvodi')==null){
		proizvodi=new Array();
	}
	else{
		proizvodi = localStorage.getItem('proizvodi').split(",");
	}
}

function login(){
	if(localStorage.getItem('ulogovan')==null){
		window.open('login.html');
	}
	else{
		alert('Vec ste ulogovani');
	}
}

function deleteLocalStorage(){
	proizvodi = new Array();
	localStorage.clear();
	alert('Obrisano');
}

function addToCart(item){
	if(localStorage.getItem('ulogovan')==null){
		alert('Ne mozete kupovati');
	}
	else{
		var response = prompt('Kolicina?');
		
		if(response!=null){
			if(localStorage.getItem('proizvodi')==null){
				localStorage.setItem('proizvodi', proizvodi);
			}
			var kolicina = parseInt(response);
			if(!switchQuantityIfItemExists(item, kolicina)){
				proizvodi.push(item + "-" + kolicina);
			}
			
			localStorage.setItem('proizvodi', proizvodi);
			alert('Dodato');
		}
		
	}
}

function switchQuantityIfItemExists(item, quantity){
	for(i=0; i<proizvodi.length; i++){
		var temp = proizvodi[i];
		if(temp.split('-')[0]==item){
			proizvodi[i]=item + "-" + (quantity + parseInt(temp.split('-')[1]));
			return true;
		}
	}
	return false;
}

function cart(){
	alert(proizvodi.join("\n"));
}